RTL2832_NAMESPACE Namespace Reference

## Namespaces

namespace | TUNERS_NAMESPACE

## Classes

class | demod
struct | device_info
class | i2c_interface
class | i2c_repeater_scope
class | log_sink
class | named_interface
class | tuner
class | tuner_skeleton

## Typedefs

typedef std::pair< double, double > | range_t
typedef std::vector< double > | values_t
typedef std::map< int, std::string > | num_name_map_t
typedef struct RTL2832_NAMESPACE::device_info | DEVICE_INFO
typedef struct RTL2832_NAMESPACE::device_info * | PDEVICE_INFO

## Enumerations

enum | result_code { FAILURE = 0 , SUCCESS = 1 }

## Functions

bool | values_to_range (const values_t &v, range_t &r)
bool | is_valid_range (const range_t &r)
bool | in_range (const range_t &r, double d)
bool | in_valid_range (const range_t &r, double d)
double | calc_range (const range_t &r)

## Typedef Documentation

## DEVICE_INFO

typedef struct RTL2832_NAMESPACE::device_info RTL2832_NAMESPACE::DEVICE_INFO

## num_name_map_t

typedef std::map<int,std::string> RTL2832_NAMESPACE::num_name_map_t

## PDEVICE_INFO

typedef struct RTL2832_NAMESPACE::device_info * RTL2832_NAMESPACE::PDEVICE_INFO

## range_t

typedef std::pair<double,double> RTL2832_NAMESPACE::range_t

## values_t

typedef std::vector<double> RTL2832_NAMESPACE::values_t

## Enumeration Type Documentation

## result_code

enum RTL2832_NAMESPACE::result_code

Enumerator
FAILURE |
SUCCESS |

## Function Documentation

## calc_range()

double RTL2832_NAMESPACE::calc_range | ( | const range_t & | r | ) |

inline

References calc_range().

Referenced by calc_range().

## in_range()

bool RTL2832_NAMESPACE::in_range | ( | const range_t & | r,
|  | double | d
| ) |  |

inline

References in_range().

Referenced by in_range(), and in_valid_range().

## in_valid_range()

bool RTL2832_NAMESPACE::in_valid_range | ( | const range_t & | r,
|  | double | d
| ) |  |

inline

References in_range(), in_valid_range(), and is_valid_range().

Referenced by in_valid_range().

## is_valid_range()

bool RTL2832_NAMESPACE::is_valid_range | ( | const range_t & | r | ) |

inline

References is_valid_range().

Referenced by in_valid_range(), and is_valid_range().

## values_to_range()

bool RTL2832_NAMESPACE::values_to_range | ( | const values_t & | v,
|  | range_t & | r
| ) |  |

inline

References values_to_range().

Referenced by values_to_range().